package beforeflightinspection

import "context"

type Repository interface {
	Upsert(ctx context.Context, row *BeforeFlightInspection) error
	GetByFlightInspectionID(ctx context.Context, flightInspectionID []byte) (*BeforeFlightInspection, error)
	FlightInspectionExists(ctx context.Context, flightInspectionID []byte) (bool, error)
	GetHelicopterCapabilities(ctx context.Context, flightInspectionID []byte) (*HelicopterCapabilities, error)
}

type HelicopterCapabilities struct {
	NR1 bool
	NR2 bool
	LH  bool
	RH  bool
	MGB bool
	IGB bool
	TGB bool
}
